Subject: bug#30728: closed (Re: bug#30728: guix-install.sh doesn't work if run with "sudo")

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Mar 2018 05:08:02 +0000

Your bug report

#30728: guix-install.sh doesn't work if run with "sudo"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30728: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30728
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30728: guix-install.sh doesn't work if run with "sudo"
From: Chris Marusich <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: Clément Lassieur <[email-masked]>, [email-masked]
Date: Thu, 29 Mar 2018 07:07:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi everyone,

Ricardo Wurmus <[email-masked]> writes:

> This looks good to me.  Thank you!

I've committed this as 3cd4447f5639f45b7d833f6fb2adce11ea15ba1d.  If
anybody has additional concerns about the installation script or the
installation instructions, please open a new bug report for it and we
can discuss the topic further there.

Thank you for reporting this issue, Clément!

-- 
Chris

Subject: guix-install.sh doesn't work if run with "sudo"
From: Clément Lassieur <[email-masked]>
To: [email-masked]
Date: Tue, 06 Mar 2018 10:54:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

My system is Ubuntu 16.04.

I ran './guix-install.sh' and got the message: "This script must be run
as root.".  So I ran 'sudo ./guix-install.sh' and got an error message
saying that:

    GUIX_PROFILE="${HOME}/.guix-profile"
    source "${GUIX_PROFILE}/etc/profile"

the 'source' command doesn't work because ${GUIX_PROFILE} was never
created, ${HOME} being /home/clement, not /root.

To recover from this I had to manually delete /var/guix and /gnu, log as
root with 'su', and start again.

Clément